# DataExchange
TKIGES
IGESDraw

# IGESDraw_Array1OfConnectPoint Class Reference

`#include <IGESDraw_Array1OfConnectPoint.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDraw_Array1OfConnectPoint (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDraw_Array1OfConnectPoint (const Handle(IGESDraw_ConnectPoint)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESDraw_ConnectPoint)&V)
Standard_EXPORT void | Destroy ()
| ~IGESDraw_Array1OfConnectPoint ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESDraw_Array1OfConnectPoint & | Assign (const IGESDraw_Array1OfConnectPoint &Other)
const IGESDraw_Array1OfConnectPoint & | operator= (const IGESDraw_Array1OfConnectPoint &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDraw_ConnectPoint)&Value)
const Handle_IGESDraw_ConnectPoint & | Value (const Standard_Integer Index) const
const Handle_IGESDraw_ConnectPoint & | operator() (const Standard_Integer Index) const
Handle_IGESDraw_ConnectPoint & | ChangeValue (const Standard_Integer Index)
Handle_IGESDraw_ConnectPoint & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESDraw_Array1OfConnectPoint (const IGESDraw_Array1OfConnectPoint &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_Array1OfConnectPoint::IGESDraw_Array1OfConnectPoint | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDraw_Array1OfConnectPoint::IGESDraw_Array1OfConnectPoint | ( | const Handle(IGESDraw_ConnectPoint)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESDraw_Array1OfConnectPoint::~IGESDraw_Array1OfConnectPoint | ( |  | ) | `[inline]`

Standard_EXPORT IGESDraw_Array1OfConnectPoint::IGESDraw_Array1OfConnectPoint | ( | const IGESDraw_Array1OfConnectPoint & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESDraw_Array1OfConnectPoint& IGESDraw_Array1OfConnectPoint::Assign | ( | const IGESDraw_Array1OfConnectPoint & | Other | ) |

Handle_IGESDraw_ConnectPoint& IGESDraw_Array1OfConnectPoint::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESDraw_Array1OfConnectPoint::Destroy | ( |  | ) |

Standard_EXPORT void IGESDraw_Array1OfConnectPoint::Init | ( | const Handle(IGESDraw_ConnectPoint)& | V | ) |

Standard_Boolean IGESDraw_Array1OfConnectPoint::IsAllocated | ( |  | ) | const

Standard_Integer IGESDraw_Array1OfConnectPoint::Length | ( |  | ) | const

Standard_Integer IGESDraw_Array1OfConnectPoint::Lower | ( |  | ) | const

void IGESDraw_Array1OfConnectPoint::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDraw_Array1OfConnectPoint::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDraw_Array1OfConnectPoint::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESDraw_ConnectPoint& IGESDraw_Array1OfConnectPoint::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESDraw_ConnectPoint& IGESDraw_Array1OfConnectPoint::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESDraw_Array1OfConnectPoint& IGESDraw_Array1OfConnectPoint::operator= | ( | const IGESDraw_Array1OfConnectPoint & | Other | ) | `[inline]`

void IGESDraw_Array1OfConnectPoint::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDraw_ConnectPoint)& | Value
| ) |

Standard_Integer IGESDraw_Array1OfConnectPoint::Upper | ( |  | ) | const

const Handle_IGESDraw_ConnectPoint& IGESDraw_Array1OfConnectPoint::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESDraw_Array1OfConnectPoint::isAllocated `[private]`

Standard_Integer IGESDraw_Array1OfConnectPoint::myLowerBound `[private]`

Standard_Address IGESDraw_Array1OfConnectPoint::myStart `[private]`

Standard_Integer IGESDraw_Array1OfConnectPoint::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESDraw_Array1OfConnectPoint.hxx